//@ sourceURL=accepting.js

var LODOP; //声明为全局变量
//默认打印机下标
var printIndex = -1;
var inpatientNoFull;
var admissTimesFull;

$(function () {
    /**
     * 清空
     */
    $("#clearRegistration").on("click", function (t) {
        clearInput();
    });

    /**
     * 收费退费
     */
    $("#chargeFee").on("click", function (t) {
        $("#chargeFeeModal").modal("show");
    });

    initChequeType();
    initStatus();
});


/**
 * 初始住院收银方式下拉选
 */
function initChequeType() {
    $.ajax({
        type: "GET",
        url: '/thmz/getAllZdChequeTypeForZy',
        dataType: "json",
        headers: {'Accept': 'application/json', 'Authorization': 'Bearer ' + localStorage.getItem("token")},
        success: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            var html = '';
            $.each(res.data, function (commentIndex, comment) {
                html += '<option value="' + comment.code + '">' + comment.name + '</option>';
            });
            $('#depoType').empty();
            $('#depoType').html(html);
            $('#depoType').selectpicker('refresh');
            $('#depoType').selectpicker('val', 1);
            $('#depoType').selectpicker('refresh');
        }
    });
}


/**
 * 初始化事务
 */
function initStatus() {
    $('#status').empty();
    $('#status').html('<option value="1">预交</option><option value="2">退费</option>');
    $('#status').selectpicker('refresh');
}
/**
 * 获取按钮组选择的下标
 * @param id
 * @returns {number}
 */
function getIndex(id) {
    var index = 0;
    var item = $("#" + id).find("button");
    for (var i = 0; i <= item.length; i++) {
        if ($(item[i]).hasClass("btn-primary")) {
            index = i;
            break;
        }
    }
    return index;
}

/**
 * 列表类型按钮切换事件
 * @param object
 */
function titleButtonChange(object) {
    $("#regi_List_btn_group").find("button").each(function (index, element) {
        if ($(element).hasClass("btn-primary")) {
            $(element).removeClass("btn-primary").addClass("btn-default");
        }
    });
    $(object).removeClass("btn-default").addClass("btn-primary");
    getZyActpatientByInpatientNoOrMzNO(null);
}


/**
 * 根据病人门诊id或者住院号查询病人信息
 */
function getZyActpatientByInpatientNoOrMzNO(id) {
   var index = getIndex("regi_List_btn_group");
   var tableName ='zy_actpatient';
   if(index==1){
       tableName ='zy_inactpatient';
   }
    $.ajax({
        type: "POST",
        url: '/thmz/getZyActpatientByInpatientNoOrMzNO',
        contentType: "application/json;charset=UTF-8",
        dataType: "json",
        async: false,
        data: JSON.stringify({
            "inpatientNo": $("#admissionNumber").val(),
            "mzNo": $("#patientId").val(),
            "tableName": tableName
        }),
        headers: {'Accept': 'application/json', 'Authorization': 'Bearer ' + localStorage.getItem("token")},
        success: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            if (res.code == 0) {
                if(res.data.length>0){
                    $("#patientModal").modal();
                    $("#patientTable").html(null);
                    for (var i = 0; i < res.data.length; i++) {
                        $("<tr data-target='" + res.data[i].inpatientNo + "'><td>" + res.data[i].inpatientNo + "</td><td>" + res.data[i].name + "</td></tr>").appendTo("#patientTable").bind('click', function () {
                            $("#patientModal").modal("hide");
                            fillPatinet($(this).attr("data-target"));
                        });
                    }
                }else {
                   if(id=='admissionNumber'){
                       $("#patientId").val(null);
                   }else if(id=='patientId'){
                       $("#admissionNumber").val(null);
                   }
                    $("#userName").val(null);
                    $("#gender").val(null);
                    $("#bedNo").val(null);
                    $("#deptName").val(null);
                    $("#admissDate").val(null);
                    $("#responceType").val(null);
                    $("#totalAmount").val(null);
                    $("#balance").val(null);


                    //listDepositFile();
                    new PNotify({
                        title: '警告提示',
                        text: '没有查到合适的患者',
                        type: 'waring',
                        hide: true,
                        styling: 'bootstrap3'
                    });
                }
            } else {
                errorMesage(res);
            }
        }
    });
}




/**
 * 按照病人inpatientNo查询病人信息
 * @param patientId
 */
function fillPatinet(inpatientNo) {
    if (inpatientNo == null || inpatientNo == "") {
        return;
    }
    var index = getIndex("regi_List_btn_group");
    var tableName ='zy_actpatient';
    if(index==1){
        tableName ='zy_inactpatient';
    }
    $.ajax({
        type: "GET",
        url: '/thmz/getByInpatientNo?inpatientNo=' + inpatientNo+"&tableName="+tableName,
        contentType: "application/json;charset=UTF-8",
        dataType: "json",
        headers: {'Accept': 'application/json', 'Authorization': 'Bearer ' + localStorage.getItem("token")},
        success: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            if (res.code == 0) {
                if (res.data != null) {
                    inpatientNoFull=res.data.inpatientNo.trim();
                    $("#admissionNumber").val(inpatientNoFull);
                    $("#patientId").val(res.data.mzNo);
                    $("#userName").val(res.data.name);
                    $("#gender").val(res.data.gender);
                    $("#bedNo").val(res.data.bedNo);
                    $("#deptName").val(res.data.deptName);
                    $("#admissDate").val(format(res.data.admissDate, "yyyy-MM-dd"));
                    $("#responceType").val(res.data.responceTypeName);
                    $("#totalAmount").val(res.data.totalCharge);
                    $("#balance").val(res.data.balance);
                    admissTimesFull=res.data.admissTimes;
                    listDepositFile();
                }
            } else {
                errorMesage(res);
            }
        }
    });
}







/**
 * 住院收费明细
 */
function listDepositFile() {
    $('#tb_table').bootstrapTable("destroy");
    $('#tb_table').bootstrapTable({
        url: '/thmz/getZyDepositFileBYInpatientNoAndTimes',         //请求后台的URL（*）
        method: 'post',                      //请求方式（*）
        toolbar: '#toolbar',                //工具按钮用哪个容器
        striped: true,                      //是否显示行间隔色
        cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
        pagination: true,                   //是否显示分页（*）
        sortable: true,                     //是否启用排序
        sortOrder: "asc",                   //排序方式
        queryParams: queryParams,           //传递参数（*）
        sidePagination: "client",           //分页方式：client客户端分页，server服务端分页（*）
        pageNumber: 1,                       //初始化加载第一页，默认第一页
        pageSize: 10,                       //每页的记录行数（*）
        pageList: [10, 25, 50, 100],        //可供选择的每页的行数（*）
        search: false,                       //是否显示表格搜索，此搜索是客户端搜索，不会进服务端，所以，个人感觉意义不大
        strictSearch: true,
        showColumns: false,                  //是否显示所有的列
        showRefresh: false,                  //是否显示刷新按钮
        minimumCountColumns: 2,             //最少允许的列数
        clickToSelect: true,                //是否启用点击选中行
        uniqueId: "ID",                     //每一行的唯一标识，一般为主键列
        showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
        cardView: false,                    //是否显示详细视图
        detailView: false,
        //rowStyle:rowStyle,//通过自定义函数设置行样式
        ajaxOptions: {
            headers: {
                'Accept': 'application/json',
                'Authorization': 'Bearer ' + localStorage.getItem("token")
            }
        },
        columns: [
            {
                field: 'ledgerSn',
                title: '账页号',
                align: "center",
                valign: 'middle'
            },{
                field: 'depoDate',
                title: '日期',
                align: "center",
                valign: 'middle',
                formatter: function (value, row, index) {
                    return format(value, "yyyy-MM-dd");
                }
            }, {
                field: 'statusName',
                title: '事务',
                align: "center",
                valign: 'middle',
            }, {
                field: 'depoAmount',
                title: '金额',
                align: "center",
                valign: 'middle',
            }, {
                field: 'receiptNo',
                title: '收据号',
                align: "center",
                valign: 'middle'
            }, {
                field: 'depoTypeName',
                title: '收费方式',
                align: "center",
                valign: 'middle'
            }, {
                field: 'chequeNo',
                title: '凭证号',
                align: "center",
                valign: 'middle',
            }, {
                field: 'opIdName',
                title: '操作员',
                align: "center",
                valign: 'middle'
            }
        ],
        responseHandler: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            var ress = eval(res);
            if (ress.code == -1) {
                if (ress.message != null && ress.message != '') {
                    new PNotify({
                        title: '错误提示',
                        text: ress.message,
                        type: 'error',
                        hide: true,
                        styling: 'bootstrap3'
                    });
                }
                return {
                    "total": 0,//总页数
                    "rows": {}   //数据
                };
            }
            return {
                "total": ress.total,//总页数
                "rows": ress.data   //数据
            };
        },
    });
}

/**
 * 构建列表查询参数
 * @param params
 * @returns {{mzChargeDetail: {patientId: string | number | string[] | undefined | jQuery, warnDept: string | number | string[] | undefined | jQuery, doctorCode: string | number | string[] | undefined | jQuery, name: string | number | string[] | undefined | jQuery, payMark: number}, beginTime: Date, endTime: Date, pageSize: *, pageIndex: number}}
 */
function queryParams(params) {
    var temp = {
        inpatientNo: inpatientNoFull,
        admissTimes: admissTimesFull
    };
    return temp;
};


/**
 * 清空
 */
function clearInput() {
    $("#admissionNumber").val(null);
    $("#patientId").val(null);
    $("#userName").val(null);
    $("#gender").val(null);
    $("#bedNo").val(null);
    $("#deptName").val(null);
    $("#admissDate").val(null);
    $("#responceType").val(null);
    $("#totalAmount").val(null);
    $("#balance").val(null);
}

